LogOnControllerGetLogOnToken Method |
POST /LogOn/Token
Gets the log on token.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Token")]
public IActionResult GetLogOnToken(
[FromBodyAttribute] LogOnTokenOptions options
)<HttpPostAttribute>
<ActionNameAttribute("Token")>
Public Function GetLogOnToken (
<FromBodyAttribute> options As LogOnTokenOptions
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Token")]
IActionResult^ GetLogOnToken(
[FromBodyAttribute] LogOnTokenOptions^ options
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Token")>]
member GetLogOnToken :
[<FromBodyAttribute>] options : LogOnTokenOptions -> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsLogOnTokenOptions
The options for getting the log on token (credentials, token, name/password, windows log on).
Return Value
Type:
IActionResultA
GetLogOnTokenResultData object, or a status code indicating the problem.
See Also